escript::AbsMax< T > Struct Template Reference

Return the absolute maximum value of the two given values. More...

`#include <ArrayOps.h>`

## Public Types

typedef T | first_argument_type
typedef T | second_argument_type
typedef DataTypes::real_t | result_type

## Public Member Functions

DataTypes::real_t | operator() (T x, T y) const

## Detailed Description

### template<typename T>
struct escript::AbsMax< T >

Return the absolute maximum value of the two given values.

## Member Typedef Documentation

## first_argument_type

template<typename T>

typedef T escript::AbsMax< T >::first_argument_type

## result_type

template<typename T>

typedef DataTypes::real_t escript::AbsMax< T >::result_type

## second_argument_type

template<typename T>

typedef T escript::AbsMax< T >::second_argument_type

## Member Function Documentation

## operator()()

template<typename T>

DataTypes::real_t escript::AbsMax< T >::operator() | ( | T | x,
|  | T | y
| ) |  | const

inline

The documentation for this struct was generated from the following file:

- ArrayOps.h